QGIS Application - Feature request #19814
QGIS3: "no spatial index" for package layers
2018-09-10 07:10 PM - Tobias Wendorff

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Pull Request or Patch supplied: Resolution: no timely feedback
Easy fix?: No Copied to github as #: 27638
Description

Please add a toggle to disable the creation of spatial indexes. Sometimes, it's needed to quickly export data into GPKG (end of
working day or whatever). The creation of spatial indexes take a very long time. This would be a huge time safer.

History

#1 - 2018-09-10 07:30 PM - Tobias Wendorff

time saver... hell

#2 - 2018-09-24 02:37 PM - Jukka Rahkonen

Tobias Wendorff wrote:

Please add a toggle to disable the creation of spatial indexes. Sometimes, it's needed to quickly export data into GPKG (end of working day or

whatever). The creation of spatial indexes take a very long time. This would be a huge time safer.

Please define "huge" and "very long time" with a pointer to test data.

| took some timings with ogr2ogr. This took 16 seconds with 1 million polygons:

ogr2ogr -f gpkg -Ico spatial_index=no no_index.gpkg test.shp

With "-Ico spatial_index=yes" the conversion took 32 seconds. It is two times more which is big difference but | would not call the 16 seconds that gets

wasted as very long time.

If you experience times which are very different it is possible that QGIS is doing something else wrong.

#3 - 2018-09-24 02:39 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2018-12-24 09:26 AM - Alexander Bruy

- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
